﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Sockets;
using System.Text;

namespace MqttBroker
{
    /// <summary>
    /// Context for an MQTT connected client
    /// </summary>
    public class MqttClientContext
    {
        // communication socket with the client
        private MqttNetworkChannel channel;

        public MqttClientContext(Socket socket)
        {
            this.channel = new MqttNetworkChannel(socket);
        }
    }
}
